const Base = require('../src/Base');
const path = require('path');

const data = new Base({
    jsonFile: 'data.json',
    basePath: path.join(__dirname, './persistence')
});

const data2 = new Base({
    jsonFile: 'data2.json',
    basePath: path.join(__dirname, './persistence')
});


data2.set({
    hello: '你好'
});

data.set({
    name: 'abc',
    age: '111',
    'info.name[1]': 1
});
data.set({
    name: 'bcd',
    sex: 'jjj'
});
data.set({
    name: 'erf'
});
data.set({
    code: '980000'
});

data.delete(['name']);
data.delete('name');

data.set({
    department: 'nnnnnn'
})
    .then((res) => {
        console.log(res, 'set then');
    });

data.get().then((res) => {
    console.log(res, 'read all');
});
data.get(['name', 'department']).then((res) => {
    console.log(res, 'read part');
});

data.get('info.name[1]').then((res) => {
    console.log(res, 'ssssss');
});